%define major		4
%define api		1.0
%define gir_major	1.0
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{gir_major}

Summary:	Object-oriented framework for creating UPnP devices and control points
Name:		gupnp
Version:	0.20.15
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/Other
Url:		http://www.gupnp.org/
Source0:	http://download.gnome.org/sources/%{name}/0.17/%{name}-%{version}.tar.xz
#----------------------------------------
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gssdp-devel
BuildRequires: %{_lib}soup-devel
BuildRequires: %{_lib}uuid-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires:	gtk-doc
BuildRequires: vala-tools
#----------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points.

%package -n %{libname}

Summary:	Main library for gupnp
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}gupnp1.0_3

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gupnp.

%package -n %{develname}
Summary:	Headers for developing programs that will use gupnp
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use gupnp

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/GUPnP-%{gir_major}.typelib
%{_datadir}/vala/vapi/gupnp-1.0.deps
%{_datadir}/vala/vapi/gupnp-1.0.vapi

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS README NEWS
%{_libdir}/pkgconfig/gupnp*.pc
%{_includedir}/gupnp-1.0/lib%{name}/*.h
%{_libdir}/*.so
%{_datadir}/gtk-doc/html/*
%{_bindir}/gupnp-binding-tool
%{_datadir}/gir-1.0/GUPnP-1.0.gir


%changelog
* Fri Jan 08 2016 bb <Bb> 0.12.15-1pclos2016
- update

* Sat Aug 16 2014 bb <bb> 0.20.12-1pclos2014
- update

* Tue Feb 04 2014 bb <bb> 0.20.10-1pclos2014
- update

* Sun Sep 25 2011 Texstar <texstar at gmail.com> 0.18.0-1pclos2011
- 0.18.0
